﻿package
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.geom.Point;
	import flash.media.*;
	import flash.filters.BlurFilter;
	import flash.filters.GlowFilter;
	import flash.events.MouseEvent;
	
	public class Suiveur extends Sprite
	{
		private var mover:Sprite;
		private var blur:BlurFilter;
		private var glow:GlowFilter;
		private var i:Number = 0;
		private var mic = Microphone.getMicrophone;
		public function Suiveur()
		{
			addEventListener(Event.ADDED_TO_STAGE, addedHandler);
		}
		private function addedHandler(e:Event):void
		{
			mover = new Sprite();
			addChild(mover);
			addEventListener(Event.ENTER_FRAME, enterHandler);
		}
		private function enterHandler(e:Event):void
		{
			mover.x+= -(mouseX-stage.stageWidth/2)/10;
			mover.y+= -(mouseY-stage.stageHeight/2)/10;
			drawElem(i++);
		}
		private function drawElem(nbr:Number):void
		{
			var elem:Sprite = new Sprite();
			blur = new BlurFilter;
			glow = new GlowFilter;
			//blur.blurX=10;
			//blur.blurY=3;
			glow.blurX=30;
			glow.blurY=30;
			glow.alpha=1;
			glow.color=0x000000;
			elem.name = "ch"+i;
			//elem.blendMode = "add";
			//elem.filters =[blur];
			elem.filters =[glow];
			//elem.graphics.lineStyle(5,0x000000);
			elem.graphics.beginFill(Math.random()*0x0000ff,1);
			//elem.graphics.drawRect(mouseX-mover.x,mouseY-mover.y,Math.sin(i*Math.PI/180)*70,Math.cos(i*Math.PI/180)*70);
			//rotation += mouseX;
			
			elem.graphics.drawCircle(mouseX-mover.x,mouseY-mover.y,Math.sin(i*Math.PI/180)*70);
			elem.graphics.drawCircle(mouseX-mover.x,mouseY-mover.y,Math.cos(i*Math.PI/180)*70);
			elem.graphics.drawCircle(mouseX-mover.x,mouseY-mover.y,Math.sin(i*Math.PI)*70);
			//elem.graphics.lineTo(mouseX,mouseY);
			//elem.graphics.drawCircle(mouseX-mover.x,mouseY-mover.y,Math.tan(i*Math.PI/180));
			elem.graphics.endFill();
			//elem.addEventListener(Event.ENTER_FRAME,fadeOut);
			
			mover.addChild(elem);
		}
		private function fadeOut(e:Event):void{
			e.currentTarget.x += Math.random()*20;
			e.currentTarget.y += Math.random()*20;
			e.currentTarget.alpha-=0.09;
			if(e.currentTarget.alpha<=0){
				if(mover.getChildByName(e.currentTarget.name)!=null){
					e.currentTarget.removeEventListener(Event.ENTER_FRAME,fadeOut);
					mover.removeChild(mover.getChildByName(e.currentTarget.name));
				}
			}
		}
	}
}